"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserIdentity = exports.DynamoDBStreamChangeRecord = exports.DynamoDBStreamRecord = exports.DynamoDBStreamSchema = void 0;
const zod_1 = require("zod");
const DynamoDBStreamChangeRecord = zod_1.z.object({
    ApproximateCreationDateTime: zod_1.z.number().optional(),
    Keys: zod_1.z.record(zod_1.z.string(), zod_1.z.record(zod_1.z.string(), zod_1.z.any())),
    NewImage: zod_1.z.record(zod_1.z.string(), zod_1.z.any()).optional(),
    OldImage: zod_1.z.record(zod_1.z.string(), zod_1.z.any()).optional(),
    SequenceNumber: zod_1.z.string(),
    SizeBytes: zod_1.z.number(),
    StreamViewType: zod_1.z.enum([
        'NEW_IMAGE',
        'OLD_IMAGE',
        'NEW_AND_OLD_IMAGES',
        'KEYS_ONLY',
    ]),
});
exports.DynamoDBStreamChangeRecord = DynamoDBStreamChangeRecord;
const UserIdentity = zod_1.z.object({
    type: zod_1.z.enum(['Service']),
    principalId: zod_1.z.literal('dynamodb.amazonaws.com'),
});
exports.UserIdentity = UserIdentity;
const DynamoDBStreamRecord = zod_1.z.object({
    eventID: zod_1.z.string(),
    eventName: zod_1.z.enum(['INSERT', 'MODIFY', 'REMOVE']),
    eventVersion: zod_1.z.string(),
    eventSource: zod_1.z.literal('aws:dynamodb'),
    awsRegion: zod_1.z.string(),
    eventSourceARN: zod_1.z.string(),
    dynamodb: DynamoDBStreamChangeRecord,
    userIdentity: UserIdentity.optional(),
});
exports.DynamoDBStreamRecord = DynamoDBStreamRecord;
const DynamoDBStreamSchema = zod_1.z.object({
    Records: zod_1.z.array(DynamoDBStreamRecord),
});
exports.DynamoDBStreamSchema = DynamoDBStreamSchema;
