import { z } from 'zod';
declare const EventBridgeSchema: z.ZodObject<{
    version: z.ZodString;
    id: z.ZodString;
    source: z.ZodString;
    account: z.ZodString;
    time: z.ZodString;
    region: z.ZodString;
    resources: z.ZodArray<z.ZodString, "many">;
    'detail-type': z.ZodString;
    detail: z.ZodUnknown;
    'replay-name': z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    version: string;
    time: string;
    id: string;
    source: string;
    account: string;
    region: string;
    resources: string[];
    'detail-type': string;
    detail?: unknown;
    'replay-name'?: string | undefined;
}, {
    version: string;
    time: string;
    id: string;
    source: string;
    account: string;
    region: string;
    resources: string[];
    'detail-type': string;
    detail?: unknown;
    'replay-name'?: string | undefined;
}>;
export { EventBridgeSchema };
//# sourceMappingURL=eventbridge.d.ts.map