import { z } from 'zod';
declare const KinesisDataStreamRecordPayload: z.ZodObject<{
    kinesisSchemaVersion: z.ZodString;
    partitionKey: z.ZodString;
    sequenceNumber: z.ZodString;
    approximateArrivalTimestamp: z.ZodNumber;
    data: z.ZodEffects<z.ZodString, any, string>;
}, "strip", z.ZodTypeAny, {
    kinesisSchemaVersion: string;
    partitionKey: string;
    sequenceNumber: string;
    approximateArrivalTimestamp: number;
    data?: any;
}, {
    data: string;
    kinesisSchemaVersion: string;
    partitionKey: string;
    sequenceNumber: string;
    approximateArrivalTimestamp: number;
}>;
declare const KinesisDataStreamRecord: z.ZodObject<{
    eventSource: z.ZodLiteral<"aws:kinesis">;
    eventVersion: z.ZodString;
    eventID: z.ZodString;
    eventName: z.ZodLiteral<"aws:kinesis:record">;
    invokeIdentityArn: z.ZodString;
    eventSourceARN: z.ZodString;
    kinesis: z.ZodObject<{
        kinesisSchemaVersion: z.ZodString;
        partitionKey: z.ZodString;
        sequenceNumber: z.ZodString;
        approximateArrivalTimestamp: z.ZodNumber;
        data: z.ZodEffects<z.ZodString, any, string>;
    }, "strip", z.ZodTypeAny, {
        kinesisSchemaVersion: string;
        partitionKey: string;
        sequenceNumber: string;
        approximateArrivalTimestamp: number;
        data?: any;
    }, {
        data: string;
        kinesisSchemaVersion: string;
        partitionKey: string;
        sequenceNumber: string;
        approximateArrivalTimestamp: number;
    }>;
}, "strip", z.ZodTypeAny, {
    eventID: string;
    eventName: "aws:kinesis:record";
    eventVersion: string;
    eventSource: "aws:kinesis";
    eventSourceARN: string;
    invokeIdentityArn: string;
    kinesis: {
        kinesisSchemaVersion: string;
        partitionKey: string;
        sequenceNumber: string;
        approximateArrivalTimestamp: number;
        data?: any;
    };
}, {
    eventID: string;
    eventName: "aws:kinesis:record";
    eventVersion: string;
    eventSource: "aws:kinesis";
    eventSourceARN: string;
    invokeIdentityArn: string;
    kinesis: {
        data: string;
        kinesisSchemaVersion: string;
        partitionKey: string;
        sequenceNumber: string;
        approximateArrivalTimestamp: number;
    };
}>;
declare const KinesisDataStreamSchema: z.ZodObject<{
    Records: z.ZodArray<z.ZodObject<{
        eventSource: z.ZodLiteral<"aws:kinesis">;
        eventVersion: z.ZodString;
        eventID: z.ZodString;
        eventName: z.ZodLiteral<"aws:kinesis:record">;
        invokeIdentityArn: z.ZodString;
        eventSourceARN: z.ZodString;
        kinesis: z.ZodObject<{
            kinesisSchemaVersion: z.ZodString;
            partitionKey: z.ZodString;
            sequenceNumber: z.ZodString;
            approximateArrivalTimestamp: z.ZodNumber;
            data: z.ZodEffects<z.ZodString, any, string>;
        }, "strip", z.ZodTypeAny, {
            kinesisSchemaVersion: string;
            partitionKey: string;
            sequenceNumber: string;
            approximateArrivalTimestamp: number;
            data?: any;
        }, {
            data: string;
            kinesisSchemaVersion: string;
            partitionKey: string;
            sequenceNumber: string;
            approximateArrivalTimestamp: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        eventID: string;
        eventName: "aws:kinesis:record";
        eventVersion: string;
        eventSource: "aws:kinesis";
        eventSourceARN: string;
        invokeIdentityArn: string;
        kinesis: {
            kinesisSchemaVersion: string;
            partitionKey: string;
            sequenceNumber: string;
            approximateArrivalTimestamp: number;
            data?: any;
        };
    }, {
        eventID: string;
        eventName: "aws:kinesis:record";
        eventVersion: string;
        eventSource: "aws:kinesis";
        eventSourceARN: string;
        invokeIdentityArn: string;
        kinesis: {
            data: string;
            kinesisSchemaVersion: string;
            partitionKey: string;
            sequenceNumber: string;
            approximateArrivalTimestamp: number;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    Records: {
        eventID: string;
        eventName: "aws:kinesis:record";
        eventVersion: string;
        eventSource: "aws:kinesis";
        eventSourceARN: string;
        invokeIdentityArn: string;
        kinesis: {
            kinesisSchemaVersion: string;
            partitionKey: string;
            sequenceNumber: string;
            approximateArrivalTimestamp: number;
            data?: any;
        };
    }[];
}, {
    Records: {
        eventID: string;
        eventName: "aws:kinesis:record";
        eventVersion: string;
        eventSource: "aws:kinesis";
        eventSourceARN: string;
        invokeIdentityArn: string;
        kinesis: {
            data: string;
            kinesisSchemaVersion: string;
            partitionKey: string;
            sequenceNumber: string;
            approximateArrivalTimestamp: number;
        };
    }[];
}>;
export { KinesisDataStreamSchema, KinesisDataStreamRecord, KinesisDataStreamRecordPayload, };
//# sourceMappingURL=kinesis.d.ts.map