import { z } from 'zod';
declare const S3EventNotificationEventBridgeSchema: z.ZodObject<z.objectUtil.extendShape<{
    version: z.ZodString;
    id: z.ZodString;
    source: z.ZodString;
    account: z.ZodString;
    time: z.ZodString;
    region: z.ZodString;
    resources: z.ZodArray<z.ZodString, "many">;
    'detail-type': z.ZodString;
    detail: z.ZodUnknown;
    'replay-name': z.ZodOptional<z.ZodString>;
}, {
    detail: z.ZodObject<{
        version: z.ZodString;
        bucket: z.ZodObject<{
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
        }, {
            name: string;
        }>;
        object: z.ZodObject<{
            key: z.ZodString;
            size: z.ZodOptional<z.ZodNumber>;
            etag: z.ZodOptional<z.ZodString>;
            'version-id': z.ZodOptional<z.ZodString>;
            sequencer: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            key: string;
            size?: number | undefined;
            sequencer?: string | undefined;
            etag?: string | undefined;
            'version-id'?: string | undefined;
        }, {
            key: string;
            size?: number | undefined;
            sequencer?: string | undefined;
            etag?: string | undefined;
            'version-id'?: string | undefined;
        }>;
        'request-id': z.ZodString;
        requester: z.ZodString;
        'source-ip-address': z.ZodOptional<z.ZodString>;
        reason: z.ZodOptional<z.ZodString>;
        'deletion-type': z.ZodOptional<z.ZodString>;
        'restore-expiry-time': z.ZodOptional<z.ZodString>;
        'source-storage-class': z.ZodOptional<z.ZodString>;
        'destination-storage-class': z.ZodOptional<z.ZodString>;
        'destination-access-tier': z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        object: {
            key: string;
            size?: number | undefined;
            sequencer?: string | undefined;
            etag?: string | undefined;
            'version-id'?: string | undefined;
        };
        version: string;
        bucket: {
            name: string;
        };
        'request-id': string;
        requester: string;
        'source-ip-address'?: string | undefined;
        reason?: string | undefined;
        'deletion-type'?: string | undefined;
        'restore-expiry-time'?: string | undefined;
        'source-storage-class'?: string | undefined;
        'destination-storage-class'?: string | undefined;
        'destination-access-tier'?: string | undefined;
    }, {
        object: {
            key: string;
            size?: number | undefined;
            sequencer?: string | undefined;
            etag?: string | undefined;
            'version-id'?: string | undefined;
        };
        version: string;
        bucket: {
            name: string;
        };
        'request-id': string;
        requester: string;
        'source-ip-address'?: string | undefined;
        reason?: string | undefined;
        'deletion-type'?: string | undefined;
        'restore-expiry-time'?: string | undefined;
        'source-storage-class'?: string | undefined;
        'destination-storage-class'?: string | undefined;
        'destination-access-tier'?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    version: string;
    time: string;
    id: string;
    source: string;
    account: string;
    region: string;
    resources: string[];
    'detail-type': string;
    detail: {
        object: {
            key: string;
            size?: number | undefined;
            sequencer?: string | undefined;
            etag?: string | undefined;
            'version-id'?: string | undefined;
        };
        version: string;
        bucket: {
            name: string;
        };
        'request-id': string;
        requester: string;
        'source-ip-address'?: string | undefined;
        reason?: string | undefined;
        'deletion-type'?: string | undefined;
        'restore-expiry-time'?: string | undefined;
        'source-storage-class'?: string | undefined;
        'destination-storage-class'?: string | undefined;
        'destination-access-tier'?: string | undefined;
    };
    'replay-name'?: string | undefined;
}, {
    version: string;
    time: string;
    id: string;
    source: string;
    account: string;
    region: string;
    resources: string[];
    'detail-type': string;
    detail: {
        object: {
            key: string;
            size?: number | undefined;
            sequencer?: string | undefined;
            etag?: string | undefined;
            'version-id'?: string | undefined;
        };
        version: string;
        bucket: {
            name: string;
        };
        'request-id': string;
        requester: string;
        'source-ip-address'?: string | undefined;
        reason?: string | undefined;
        'deletion-type'?: string | undefined;
        'restore-expiry-time'?: string | undefined;
        'source-storage-class'?: string | undefined;
        'destination-storage-class'?: string | undefined;
        'destination-access-tier'?: string | undefined;
    };
    'replay-name'?: string | undefined;
}>;
declare const S3Schema: z.ZodObject<{
    Records: z.ZodArray<z.ZodEffects<z.ZodObject<{
        eventVersion: z.ZodString;
        eventSource: z.ZodLiteral<"aws:s3">;
        awsRegion: z.ZodString;
        eventTime: z.ZodString;
        eventName: z.ZodString;
        userIdentity: z.ZodObject<{
            principalId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            principalId: string;
        }, {
            principalId: string;
        }>;
        requestParameters: z.ZodObject<{
            sourceIPAddress: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            sourceIPAddress: string;
        }, {
            sourceIPAddress: string;
        }>;
        responseElements: z.ZodObject<{
            'x-amz-request-id': z.ZodString;
            'x-amz-id-2': z.ZodString;
        }, "strip", z.ZodTypeAny, {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        }, {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        }>;
        s3: z.ZodObject<{
            s3SchemaVersion: z.ZodString;
            configurationId: z.ZodString;
            object: z.ZodObject<{
                key: z.ZodString;
                size: z.ZodOptional<z.ZodNumber>;
                urlDecodedKey: z.ZodOptional<z.ZodString>;
                eTag: z.ZodOptional<z.ZodString>;
                sequencer: z.ZodString;
                versionId: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            }, {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            }>;
            bucket: z.ZodObject<{
                name: z.ZodString;
                ownerIdentity: z.ZodObject<{
                    principalId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    principalId: string;
                }, {
                    principalId: string;
                }>;
                arn: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            }, {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        }, {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        }>;
        glacierEventData: z.ZodOptional<z.ZodObject<{
            restoreEventData: z.ZodObject<{
                lifecycleRestorationExpiryTime: z.ZodString;
                lifecycleRestoreStorageClass: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            }, {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        }, {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        eventName: string;
        eventVersion: string;
        eventSource: "aws:s3";
        awsRegion: string;
        userIdentity: {
            principalId: string;
        };
        eventTime: string;
        requestParameters: {
            sourceIPAddress: string;
        };
        responseElements: {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        };
        s3: {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        };
        glacierEventData?: {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        } | undefined;
    }, {
        eventName: string;
        eventVersion: string;
        eventSource: "aws:s3";
        awsRegion: string;
        userIdentity: {
            principalId: string;
        };
        eventTime: string;
        requestParameters: {
            sourceIPAddress: string;
        };
        responseElements: {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        };
        s3: {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        };
        glacierEventData?: {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        } | undefined;
    }>, {
        eventName: string;
        eventVersion: string;
        eventSource: "aws:s3";
        awsRegion: string;
        userIdentity: {
            principalId: string;
        };
        eventTime: string;
        requestParameters: {
            sourceIPAddress: string;
        };
        responseElements: {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        };
        s3: {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        };
        glacierEventData?: {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        } | undefined;
    }, {
        eventName: string;
        eventVersion: string;
        eventSource: "aws:s3";
        awsRegion: string;
        userIdentity: {
            principalId: string;
        };
        eventTime: string;
        requestParameters: {
            sourceIPAddress: string;
        };
        responseElements: {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        };
        s3: {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        };
        glacierEventData?: {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        } | undefined;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    Records: {
        eventName: string;
        eventVersion: string;
        eventSource: "aws:s3";
        awsRegion: string;
        userIdentity: {
            principalId: string;
        };
        eventTime: string;
        requestParameters: {
            sourceIPAddress: string;
        };
        responseElements: {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        };
        s3: {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        };
        glacierEventData?: {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        } | undefined;
    }[];
}, {
    Records: {
        eventName: string;
        eventVersion: string;
        eventSource: "aws:s3";
        awsRegion: string;
        userIdentity: {
            principalId: string;
        };
        eventTime: string;
        requestParameters: {
            sourceIPAddress: string;
        };
        responseElements: {
            'x-amz-request-id': string;
            'x-amz-id-2': string;
        };
        s3: {
            object: {
                key: string;
                sequencer: string;
                size?: number | undefined;
                urlDecodedKey?: string | undefined;
                eTag?: string | undefined;
                versionId?: string | undefined;
            };
            s3SchemaVersion: string;
            configurationId: string;
            bucket: {
                name: string;
                ownerIdentity: {
                    principalId: string;
                };
                arn: string;
            };
        };
        glacierEventData?: {
            restoreEventData: {
                lifecycleRestorationExpiryTime: string;
                lifecycleRestoreStorageClass: string;
            };
        } | undefined;
    }[];
}>;
declare const S3SqsEventNotificationSchema: z.ZodObject<{
    Records: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        messageId: z.ZodString;
        receiptHandle: z.ZodString;
        body: z.ZodString;
        attributes: z.ZodObject<{
            ApproximateReceiveCount: z.ZodString;
            ApproximateFirstReceiveTimestamp: z.ZodString;
            MessageDeduplicationId: z.ZodOptional<z.ZodString>;
            MessageGroupId: z.ZodOptional<z.ZodString>;
            SenderId: z.ZodString;
            SentTimestamp: z.ZodString;
            SequenceNumber: z.ZodOptional<z.ZodString>;
            AWSTraceHeader: z.ZodOptional<z.ZodString>;
            DeadLetterQueueSourceArn: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            ApproximateReceiveCount: string;
            ApproximateFirstReceiveTimestamp: string;
            SenderId: string;
            SentTimestamp: string;
            SequenceNumber?: string | undefined;
            MessageDeduplicationId?: string | undefined;
            MessageGroupId?: string | undefined;
            AWSTraceHeader?: string | undefined;
            DeadLetterQueueSourceArn?: string | undefined;
        }, {
            ApproximateReceiveCount: string;
            ApproximateFirstReceiveTimestamp: string;
            SenderId: string;
            SentTimestamp: string;
            SequenceNumber?: string | undefined;
            MessageDeduplicationId?: string | undefined;
            MessageGroupId?: string | undefined;
            AWSTraceHeader?: string | undefined;
            DeadLetterQueueSourceArn?: string | undefined;
        }>;
        messageAttributes: z.ZodRecord<z.ZodString, z.ZodObject<{
            stringValue: z.ZodOptional<z.ZodString>;
            binaryValue: z.ZodOptional<z.ZodString>;
            stringListValues: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            binaryListValues: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            dataType: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            dataType: string;
            stringValue?: string | undefined;
            binaryValue?: string | undefined;
            stringListValues?: string[] | undefined;
            binaryListValues?: string[] | undefined;
        }, {
            dataType: string;
            stringValue?: string | undefined;
            binaryValue?: string | undefined;
            stringListValues?: string[] | undefined;
            binaryListValues?: string[] | undefined;
        }>>;
        md5OfBody: z.ZodString;
        md5OfMessageAttributes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        eventSource: z.ZodLiteral<"aws:sqs">;
        eventSourceARN: z.ZodString;
        awsRegion: z.ZodString;
    }, {
        body: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        messageId: string;
        body: string;
        eventSource: "aws:sqs";
        awsRegion: string;
        eventSourceARN: string;
        receiptHandle: string;
        attributes: {
            ApproximateReceiveCount: string;
            ApproximateFirstReceiveTimestamp: string;
            SenderId: string;
            SentTimestamp: string;
            SequenceNumber?: string | undefined;
            MessageDeduplicationId?: string | undefined;
            MessageGroupId?: string | undefined;
            AWSTraceHeader?: string | undefined;
            DeadLetterQueueSourceArn?: string | undefined;
        };
        messageAttributes: Record<string, {
            dataType: string;
            stringValue?: string | undefined;
            binaryValue?: string | undefined;
            stringListValues?: string[] | undefined;
            binaryListValues?: string[] | undefined;
        }>;
        md5OfBody: string;
        md5OfMessageAttributes?: string | null | undefined;
    }, {
        messageId: string;
        body: string;
        eventSource: "aws:sqs";
        awsRegion: string;
        eventSourceARN: string;
        receiptHandle: string;
        attributes: {
            ApproximateReceiveCount: string;
            ApproximateFirstReceiveTimestamp: string;
            SenderId: string;
            SentTimestamp: string;
            SequenceNumber?: string | undefined;
            MessageDeduplicationId?: string | undefined;
            MessageGroupId?: string | undefined;
            AWSTraceHeader?: string | undefined;
            DeadLetterQueueSourceArn?: string | undefined;
        };
        messageAttributes: Record<string, {
            dataType: string;
            stringValue?: string | undefined;
            binaryValue?: string | undefined;
            stringListValues?: string[] | undefined;
            binaryListValues?: string[] | undefined;
        }>;
        md5OfBody: string;
        md5OfMessageAttributes?: string | null | undefined;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    Records: {
        messageId: string;
        body: string;
        eventSource: "aws:sqs";
        awsRegion: string;
        eventSourceARN: string;
        receiptHandle: string;
        attributes: {
            ApproximateReceiveCount: string;
            ApproximateFirstReceiveTimestamp: string;
            SenderId: string;
            SentTimestamp: string;
            SequenceNumber?: string | undefined;
            MessageDeduplicationId?: string | undefined;
            MessageGroupId?: string | undefined;
            AWSTraceHeader?: string | undefined;
            DeadLetterQueueSourceArn?: string | undefined;
        };
        messageAttributes: Record<string, {
            dataType: string;
            stringValue?: string | undefined;
            binaryValue?: string | undefined;
            stringListValues?: string[] | undefined;
            binaryListValues?: string[] | undefined;
        }>;
        md5OfBody: string;
        md5OfMessageAttributes?: string | null | undefined;
    }[];
}, {
    Records: {
        messageId: string;
        body: string;
        eventSource: "aws:sqs";
        awsRegion: string;
        eventSourceARN: string;
        receiptHandle: string;
        attributes: {
            ApproximateReceiveCount: string;
            ApproximateFirstReceiveTimestamp: string;
            SenderId: string;
            SentTimestamp: string;
            SequenceNumber?: string | undefined;
            MessageDeduplicationId?: string | undefined;
            MessageGroupId?: string | undefined;
            AWSTraceHeader?: string | undefined;
            DeadLetterQueueSourceArn?: string | undefined;
        };
        messageAttributes: Record<string, {
            dataType: string;
            stringValue?: string | undefined;
            binaryValue?: string | undefined;
            stringListValues?: string[] | undefined;
            binaryListValues?: string[] | undefined;
        }>;
        md5OfBody: string;
        md5OfMessageAttributes?: string | null | undefined;
    }[];
}>;
declare const S3ObjectLambdaEventSchema: z.ZodObject<{
    xAmzRequestId: z.ZodString;
    getObjectContext: z.ZodObject<{
        inputS3Url: z.ZodString;
        outputRoute: z.ZodString;
        outputToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        inputS3Url: string;
        outputRoute: string;
        outputToken: string;
    }, {
        inputS3Url: string;
        outputRoute: string;
        outputToken: string;
    }>;
    configuration: z.ZodObject<{
        accessPointArn: z.ZodString;
        supportingAccessPointArn: z.ZodString;
        payload: z.ZodUnion<[z.ZodString, z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>]>;
    }, "strip", z.ZodTypeAny, {
        accessPointArn: string;
        supportingAccessPointArn: string;
        payload: string | {};
    }, {
        accessPointArn: string;
        supportingAccessPointArn: string;
        payload: string | {};
    }>;
    userRequest: z.ZodObject<{
        url: z.ZodString;
        headers: z.ZodRecord<z.ZodString, z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        headers: Record<string, string>;
        url: string;
    }, {
        headers: Record<string, string>;
        url: string;
    }>;
    userIdentity: z.ZodObject<{
        type: z.ZodString;
        accountId: z.ZodString;
        accessKeyId: z.ZodString;
        userName: z.ZodOptional<z.ZodString>;
        principalId: z.ZodString;
        arn: z.ZodString;
        sessionContext: z.ZodOptional<z.ZodObject<{
            sessionIssuer: z.ZodObject<{
                type: z.ZodString;
                userName: z.ZodOptional<z.ZodString>;
                principalId: z.ZodString;
                arn: z.ZodString;
                accountId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            }, {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            }>;
            attributes: z.ZodObject<{
                creationDate: z.ZodString;
                mfaAuthenticated: z.ZodEffects<z.ZodUnion<[z.ZodBoolean, z.ZodLiteral<"true">, z.ZodLiteral<"false">]>, boolean, boolean | "true" | "false">;
            }, "strip", z.ZodTypeAny, {
                creationDate: string;
                mfaAuthenticated: boolean;
            }, {
                creationDate: string;
                mfaAuthenticated: boolean | "true" | "false";
            }>;
        }, "strip", z.ZodTypeAny, {
            attributes: {
                creationDate: string;
                mfaAuthenticated: boolean;
            };
            sessionIssuer: {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            };
        }, {
            attributes: {
                creationDate: string;
                mfaAuthenticated: boolean | "true" | "false";
            };
            sessionIssuer: {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        type: string;
        accountId: string;
        principalId: string;
        arn: string;
        accessKeyId: string;
        userName?: string | undefined;
        sessionContext?: {
            attributes: {
                creationDate: string;
                mfaAuthenticated: boolean;
            };
            sessionIssuer: {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            };
        } | undefined;
    }, {
        type: string;
        accountId: string;
        principalId: string;
        arn: string;
        accessKeyId: string;
        userName?: string | undefined;
        sessionContext?: {
            attributes: {
                creationDate: string;
                mfaAuthenticated: boolean | "true" | "false";
            };
            sessionIssuer: {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            };
        } | undefined;
    }>;
    protocolVersion: z.ZodString;
}, "strip", z.ZodTypeAny, {
    userIdentity: {
        type: string;
        accountId: string;
        principalId: string;
        arn: string;
        accessKeyId: string;
        userName?: string | undefined;
        sessionContext?: {
            attributes: {
                creationDate: string;
                mfaAuthenticated: boolean;
            };
            sessionIssuer: {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            };
        } | undefined;
    };
    xAmzRequestId: string;
    getObjectContext: {
        inputS3Url: string;
        outputRoute: string;
        outputToken: string;
    };
    configuration: {
        accessPointArn: string;
        supportingAccessPointArn: string;
        payload: string | {};
    };
    userRequest: {
        headers: Record<string, string>;
        url: string;
    };
    protocolVersion: string;
}, {
    userIdentity: {
        type: string;
        accountId: string;
        principalId: string;
        arn: string;
        accessKeyId: string;
        userName?: string | undefined;
        sessionContext?: {
            attributes: {
                creationDate: string;
                mfaAuthenticated: boolean | "true" | "false";
            };
            sessionIssuer: {
                type: string;
                accountId: string;
                principalId: string;
                arn: string;
                userName?: string | undefined;
            };
        } | undefined;
    };
    xAmzRequestId: string;
    getObjectContext: {
        inputS3Url: string;
        outputRoute: string;
        outputToken: string;
    };
    configuration: {
        accessPointArn: string;
        supportingAccessPointArn: string;
        payload: string | {};
    };
    userRequest: {
        headers: Record<string, string>;
        url: string;
    };
    protocolVersion: string;
}>;
export { S3Schema, S3EventNotificationEventBridgeSchema, S3SqsEventNotificationSchema, S3ObjectLambdaEventSchema, };
//# sourceMappingURL=s3.d.ts.map